<?php

//***
//**
//*    Roulette Royale
//*    
//*    von Alexander Wildschtz
//**
//***
 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$ROULETTE_CHIP_WERTE = array('chip1' => 5,
							 'chip2' => 75,
							 'chip3' => 250,
							 'chip4' => 500,
							 'chip5' => 1000,
							 'chip6' => 5000);
							   
							   
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
require_once "vendor/phpxmlrpc/xmlrpc.inc";
require_once "vendor/phpxmlrpc/jsonrpc.inc";
require_once "vendor/phpxmlrpc/json_extension_api.inc";

class RoulettePlugin extends AbstractStudIPStandardPlugin {
	var $Roulette1;
	var $ROULETTE_CHIP_WERTE;
	
	function RoulettePlugin() {
	global $user;
		parent::AbstractStudIPStandardPlugin();
		
		$this->setPluginiconname("img/plugin.png");
		
		# navigation
		$navigation =& new PluginNavigation();
		$navigation->setDisplayname(_("Roulette"));
		$this->setNavigation($navigation);
		
		
		## AbstractStudIPStandardPlugin specifics
		
		$this->setChangeindicatoriconname("img/plugin_notice.png");
		
		require_once('inc/roulette.inc.php');
		require_once('lib/classes/score.class.php');
		
		$this->ROULETTE_CHIP_WERTE = array('chip1' => 5,
									 	   'chip2' => 75,
							 			   'chip3' => 250,
							 			   'chip4' => 500,
							 			   'chip5' => 1000,
							 			   'chip6' => 5000);
		

		if(!isset($_SESSION['RouletteInst'])){
			$this->Roulette1 = new Roulette();
			$score = new Score(null);
			$xscore = $score->GetScore($user->id);
			$db = new DB_Seminar;
			$query =  "SELECT geld, verbrscore FROM plugin_roulette	WHERE id = '".$user->id."';";
			$db->query($query);

			if($db->num_rows() == 1){
				while($db->next_record()){
					
					$db2 = new DB_Seminar;
					
					$query = "UPDATE plugin_roulette SET geld = ".($db->f("geld")+max($xscore-$db->f("verbrscore"), 0)).", verbrscore = ".$xscore." WHERE id = '".$user->id."';";
					$db2->query($query);
					$this->Roulette1->SetGeld($db->f("geld")+max($xscore-$db->f("verbrscore"), 0));
				}
			}elseif($db->num_rows() <= 0){
				$query = "INSERT INTO plugin_roulette (id, geld, verbrscore) Values ('".$user->id."', ".$xscore.", ".$xscore.");";
				$db->query($query);
				$this->Roulette1->SetGeld($xscore);
			}else{
				echo('Datenbankfehler!');
				die();
			}
			
			$_SESSION['RouletteInst'] = serialize($this->Roulette1);
		}else{
			$this->Roulette1 = unserialize($_SESSION['RouletteInst']);
		}
	}
	
	
	function initialize() {
		// initalize ist ganz toll =D
	}
	
	
	function getPluginname() {
		return _("Roulette");
	}
	
	
	
	//***
	//*
	//*
	//*
	//*

	function Spielen(){
		global $user;
		
		// Wo landet die Kugel?
		$feld = mt_rand(0,36);
	
		// Spielen
		$this->Roulette1->SetFeld($feld);
		$this->Roulette1->Spiel();
		
		$db = new DB_Seminar;
		$query =  "UPDATE plugin_roulette SET geld = ".$this->Roulette1->Geld." WHERE id = '".$user->id."';";
		$db->query($query);
		
		// Ergebnis (Feld, Gewinn, Gesamtsumme, Wetten)
		$result = json_encode($this->Roulette1);
		
		// Reset
		$this->Roulette1->ResetWetten();

		// Ergebnis ausgeben...
		return $result;
	}
	
	function Output($msg){
		echo($msg);
		$_SESSION['RouletteInst'] = serialize($this->Roulette1);
		
		die('');
		return false;
	}

	//*
	//*
	//*
	//*
	//***
	

	
	function actionAJAX(){
		ob_end_clean();
		
		global $ROULETTE_CHIP_WERTE;
		
		// Auswertung der Anfragen...
		switch($_POST['type']){		
			case "getstate":
				header('X-JSON:'.json_encode($this->Roulette1));
				$this->Output('true');
				break;
				
			// Spielen...
			case "spielen": 
				if(!isset($_POST['params'])){
					$this->Output("Angaben nicht vollst&auml;ndig!");
				}
		
				if(get_magic_quotes_gpc()){
					$params = json_decode(stripslashes($_POST['params']), true);
				}else{
					$params = json_decode($_POST['params'], true);
				}
				
				if(($params === false) || ($params == NULL)){
					$this->Output("Es ist ein Fehler aufgetreten!");
				}
				
				$var = array();
				$dump = '';
				
				foreach($params as $Pk => $Pv){
					$var[$Pk] = 0;
					foreach($Pv as $Vk => $Vv){
						$var[$Pk] += max($this->ROULETTE_CHIP_WERTE[$Vk], 1)*$Vv;
					}
					
					if($var[$Pk] > 0){
						if($this->Roulette1->SetEinsatz((int)$var[$Pk])){
							$WetteType = -1;
							$WetteParams = array(ROULETTE_FELD_TYPE_NONE, ROULETTE_FELD_TYPE_NONE);
							
							switch($Pk){
								case '0':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(0,0);
									break;
								case '1':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(1,0);
									break;
								case '2':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(2,0);
									break;
								case '3':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(3,0);
									break;
								case '4':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(4,0);
									break;
								case '5':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(5,0);
									break;
								case '6':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(6,0);
									break;
								case '7':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(7,0);
									break;
								case '8':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(8,0);
									break;
								case '9':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(9,0);
									break;
								case '10':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(10,0);
									break;
								case '11':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(11,0);
									break;
								case '12':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(12,0);
									break;
								case '13':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(13,0);
									break;
								case '14':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(14,0);
									break;
								case '15':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(15,0);
									break;
								case '16':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(16,0);
									break;
								case '17':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(17,0);
									break;
								case '18':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(18,0);
									break;
								case '19':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(19,0);
									break;
								case '20':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(20,0);
									break;
								case '21':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(21,0);
									break;
								case '22':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(22,0);
									break;
								case '23':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(23,0);
									break;
								case '24':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(24,0);
									break;
								case '25':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(25,0);
									break;
								case '26':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(26,0);
									break;
								case '27':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(27,0);
									break;
								case '28':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(28,0);
									break;
								case '29':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(29,0);
									break;
								case '30':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(30,0);
									break;
								case '31':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(31,0);
									break;
								case '32':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(32,0);
									break;
								case '33':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(33,0);
									break;
								case '34':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(34,0);
									break;
								case '35':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(35,0);
									break;
								case '36':
									$WetteType   = ROULETTE_WETTE_TYPE_ZAHL;
									$WetteParams = array(36,0);
									break;
									
								case 'H':
									$WetteType   = ROULETTE_WETTE_TYPE_HOCHTIEF;
									$WetteParams = array(ROULETTE_FELD_TYPE_HIGH, 0);
									break;
								case 'T':
									$WetteType   = ROULETTE_WETTE_TYPE_HOCHTIEF;
									$WetteParams = array(ROULETTE_FELD_TYPE_LOW, 0);
									break;
		
								case 'G':
									$WetteType   = ROULETTE_WETTE_TYPE_GERADEUNGERADE;
									$WetteParams = array(ROULETTE_FELD_TYPE_EVEN, 0);
									break;
								case 'U':
									$WetteType   = ROULETTE_WETTE_TYPE_GERADEUNGERADE;
									$WetteParams = array(ROULETTE_FELD_TYPE_ODD, 0);
									break;
		
								case 'S':
									$WetteType   = ROULETTE_WETTE_TYPE_ROTSCHWARZ;
									$WetteParams = array(ROULETTE_FELD_TYPE_BLACK, 0);
									break;
								case 'R':
									$WetteType   = ROULETTE_WETTE_TYPE_ROTSCHWARZ;
									$WetteParams = array(ROULETTE_FELD_TYPE_RED, 0);
									break;
		
								case 'P1':
									$WetteType   = ROULETTE_WETTE_TYPE_DOZENS;
									$WetteParams = array(1, 0);
									break;
								case 'M1':
									$WetteType   = ROULETTE_WETTE_TYPE_DOZENS;
									$WetteParams = array(2, 0);
									break;
								case 'D1':
									$WetteType   = ROULETTE_WETTE_TYPE_DOZENS;
									$WetteParams = array(3, 0);
									break;
								case 'P2':
									$WetteType   = ROULETTE_WETTE_TYPE_DOZENS;
									$WetteParams = array(1, 0);
									break;
								case 'M2':
									$WetteType   = ROULETTE_WETTE_TYPE_DOZENS;
									$WetteParams = array(2, 0);
									break;
		
								case 'D2':
									$WetteType   = ROULETTE_WETTE_TYPE_DOZENS;
									$WetteParams = array(3, 0);
									break;
		
								case 'C34':
									$WetteType   = ROULETTE_WETTE_TYPE_COLUMNS;
									$WetteParams = array(1, 0);
									break;
								case 'C35':
									$WetteType   = ROULETTE_WETTE_TYPE_COLUMNS;
									$WetteParams = array(2, 0);
									break;
								case 'C36':
									$WetteType   = ROULETTE_WETTE_TYPE_COLUMNS;
									$WetteParams = array(3, 0);
									break;
								default:
									break;
							}
							
							if(!$this->Roulette1->SetWette($WetteType, $WetteParams)){
								$this->Output("Es ist ein Fehler aufgetreten!");
							}
							
							////////////////////////////////////
							////////////////////////////////////
							////////////////////////////////////
							$dump .= ('['.$Pk.'] ');
							$dump .= print_r($params[$Pk], true);
						}else{
							$this->Output("Du kannst nicht so viel setzen!");
						}
					}
				}
				
				$dump .= "\n".print_r($this->Roulette1->WettenContainer, true);
				
				
				
				header('X-JSON:'.$this->Spielen());
				$this->Output('true'/*$dump*/);
				break;	
			// Default
			default:
				$this->Output('Fehler!');
				break;
		}
		
		// Schluss. Aus. Ende!
		$this->Output('');
	}
	
	function actionShow() {
		$lala = ob_get_clean();
		$x = str_replace("assets/javascripts/prototype.js", $this->getPluginPath().'/js/prototype.js', $lala);
		$x = str_replace("assets/javascripts/scriptaculous.js", $this->getPluginPath().'/js/scriptaculous.js', $x);
		echo($x);
	
		// JS / CSS
		echo("\n");
		echo('<script type="text/javascript" src="'.$this->getPluginPath().'/js/roulette.js"></script>'."\n");
		echo('<style type="text/css">'."\n");
		echo('/*<![CDATA[*/'."\n");
		echo('@import url("'.$this->getPluginPath().'/css/roulette.css");'."\n");
		echo('
#spielenbtn{
	background:url("'.$this->getPluginPath().'/img/spielen.png") 0px 0px;
}

#spielenbtn:hover {
	background:url("'.$this->getPluginPath().'/img/spielen.png") 0px 29px;
}

#messagebtn {
	background:url("'.$this->getPluginPath().'/img/btnweiter.png") 0px 0px;
}

#messagebtn:hover {
	background:url("'.$this->getPluginPath().'/img/btnweiter.png") 0px 36px;
}

.msgsergebnis{
	background-image:url("'.$this->getPluginPath().'/img/spielergebnis.png");
}

.msgwillkommen{
	background-image:url("'.$this->getPluginPath().'/img/willkommen.png");
}

.msgfehler{
	background-image:url("'.$this->getPluginPath().'/img/fehler.png");
}

.chip1{
	background-image:url("'.$this->getPluginPath().'/img/chip1.png");
}

.chip2{
	background-image:url("'.$this->getPluginPath().'/img/chip2.png");
}

.chip3{
	background-image:url("'.$this->getPluginPath().'/img/chip3.png");
}

.chip4{
	background-image:url("'.$this->getPluginPath().'/img/chip4.png");
}

.chip5{
	background-image:url("'.$this->getPluginPath().'/img/chip5.png");
}

.chip6{
	background-image:url("'.$this->getPluginPath().'/img/chip6.png");
}

.dp0{
	background-image:url("'.$this->getPluginPath().'/img/feld0.png");
}

.dp1{
	background-image:url("'.$this->getPluginPath().'/img/feld1.png");
}

.dp2{
	background-image:url("'.$this->getPluginPath().'/img/feld2.png");
}

.dp3{
	background-image:url("'.$this->getPluginPath().'/img/feld3.png");
}

.dp4{
	background-image:url("'.$this->getPluginPath().'/img/feld4.png");
}

.dp5{
	background-image:url("'.$this->getPluginPath().'/img/feld5.png");
}

.dp6{
	background-image:url("'.$this->getPluginPath().'/img/feld6.png");
}

.dp7{
	background-image:url("'.$this->getPluginPath().'/img/feld7.png");
}

.dp8{
	background-image:url("'.$this->getPluginPath().'/img/feld8.png");
}

.dp9{
	background-image:url("'.$this->getPluginPath().'/img/feld9.png");
}

.dp10{
	background-image:url("'.$this->getPluginPath().'/img/feld10.png");
}

.dp11{
	background-image:url("'.$this->getPluginPath().'/img/feld11.png");
}

.dp12{
	background-image:url("'.$this->getPluginPath().'/img/feld12.png");
}

.dp13{
	background-image:url("'.$this->getPluginPath().'/img/feld13.png");
}

.dp14{
	background-image:url("'.$this->getPluginPath().'/img/feld14.png");
}

.dp15{
	background-image:url("'.$this->getPluginPath().'/img/feld15.png");
}

.dp16{
	background-image:url("'.$this->getPluginPath().'/img/feld16.png");
}

.dp17{
	background-image:url("'.$this->getPluginPath().'/img/feld17.png");
}

.dp18{
	background-image:url("'.$this->getPluginPath().'/img/feld18.png");
}

.dp19{
	background-image:url("'.$this->getPluginPath().'/img/feld19.png");
}

.dp20{
	background-image:url("'.$this->getPluginPath().'/img/feld20.png");
}

.dp21{
	background-image:url("'.$this->getPluginPath().'/img/feld21.png");
}

.dp22{
	background-image:url("'.$this->getPluginPath().'/img/feld22.png");
}

.dp23{
	background-image:url("'.$this->getPluginPath().'/img/feld23.png");
}

.dp24{
	background-image:url("'.$this->getPluginPath().'/img/feld24.png");
}

.dp25{
	background-image:url("'.$this->getPluginPath().'/img/feld25.png");
}

.dp26{
	background-image:url("'.$this->getPluginPath().'/img/feld26.png");
}

.dp27{
	background-image:url("'.$this->getPluginPath().'/img/feld27.png");
}

.dp28{
	background-image:url("'.$this->getPluginPath().'/img/feld28.png");
}

.dp29{
	background-image:url("'.$this->getPluginPath().'/img/feld29.png");
}

.dp30{
	background-image:url("'.$this->getPluginPath().'/img/feld30.png");
}

.dp31{
	background-image:url("'.$this->getPluginPath().'/img/feld31.png");
}

.dp32{
	background-image:url("'.$this->getPluginPath().'/img/feld32.png");
}

.dp33{
	background-image:url("'.$this->getPluginPath().'/img/feld33.png");
}

.dp34{
	background-image:url("'.$this->getPluginPath().'/img/feld34.png");
}

.dp35{
	background-image:url("'.$this->getPluginPath().'/img/feld35.png");
}

.dp36{
	background-image:url("'.$this->getPluginPath().'/img/feld36.png");
}

.dpH{
	background-image:url("'.$this->getPluginPath().'/img/feldH.png");
}

.dpT{
	background-image:url("'.$this->getPluginPath().'/img/feldT.png");
}

.dpG{
	background-image:url("'.$this->getPluginPath().'/img/feldG.png");
}

.dpU{
	background-image:url("'.$this->getPluginPath().'/img/feldU.png");
}

.dpS{
	background-image:url("'.$this->getPluginPath().'/img/feldS.png");
}

.dpR{
	background-image:url("'.$this->getPluginPath().'/img/feldR.png");
}

.dpP1{
	background-image:url("'.$this->getPluginPath().'/img/feldP1.png");
}

.dpM1{
	background-image:url("'.$this->getPluginPath().'/img/feldM1.png");
}

.dpD1{
	background-image:url("'.$this->getPluginPath().'/img/feldD1.png");
}

.dpD2{
	background-image:url("'.$this->getPluginPath().'/img/feldD2.png");
}

.dpM2{
	background-image:url("'.$this->getPluginPath().'/img/feldM2.png");
}

.dpP2{
	background-image:url("'.$this->getPluginPath().'/img/feldP2.png");
}

.dpC34{
	background-image:url("'.$this->getPluginPath().'/img/feldC34.png");
}

.dpC35{
	background-image:url("'.$this->getPluginPath().'/img/feldC35.png");
}

.dpC36{
	background-image:url("'.$this->getPluginPath().'/img/feldC36.png");
}

.message {
	background-image:url("'.$this->getPluginPath().'/img/meldungbg.png");
}

#roulette_feld {
	background-image:url("'.$this->getPluginPath().'/img/feld_bg.png");
}

.modal{
/*	background-image:url("'.$this->getPluginPath().'/img/bg_66.png");*/
	background-color:#000000;
	opacity:.70;
}

.z0{
	background-image:url("'.$this->getPluginPath().'/img/0.png");
}

.z1{
	background-image:url("'.$this->getPluginPath().'/img/1.png");
}

.z2{
	background-image:url("'.$this->getPluginPath().'/img/2.png");
}

.z3{
	background-image:url("'.$this->getPluginPath().'/img/3.png");
}

.z4{
	background-image:url("'.$this->getPluginPath().'/img/4.png");
}

.z5{
	background-image:url("'.$this->getPluginPath().'/img/5.png");
}

.z6{
	background-image:url("'.$this->getPluginPath().'/img/6.png");
}

.z7{
	background-image:url("'.$this->getPluginPath().'/img/7.png");
}

.z8{
	background-image:url("'.$this->getPluginPath().'/img/8.png");
}

.z9{
	background-image:url("'.$this->getPluginPath().'/img/9.png");
}

.zdot{
	background-image:url("'.$this->getPluginPath().'/img/dot.png");
}

.zcomma{
	background-image:url("'.$this->getPluginPath().'/img/comma.png");
}

.zexcl{
	background-image:url("'.$this->getPluginPath().'/img/excl.png");
}
');
		echo('/*]]>*/'."\n");
		echo('</style>'."\n");
		echo("\n");
		
		?>
<!-- MessageLog -->
<!--<div id="DIV_Log_Cont"><div id="DIV_Log"></div></div>-->
<!-- Spiel -->
<div id="roulette_area">
	<div id="roulette_feld"><div id="spielenbtn" onclick="Roulette.Spielen();"></div></div>
</div>
        <?
		echo('
<script type="text/javascript">
//<![CDATA[

dirA = \''.$this->getPluginPath().'\';

var Roulette = new TRoulette(\''.PluginEngine::getLink($this, array("cmd" => "AJAX")).'\');

$(\'ajax_notification\').remove();

printScore($(\'roulette_feld\'), \'Score1\', 0);
$(\'Score1\').style.position = \'absolute\';
$(\'Score1\').style.top  = \'8px\';
$(\'Score1\').style.left = $(\'roulette_feld\').getWidth()-$(\'Score1\').getWidth()-3+\'px\';

Event.observe(window, \'load\', function(){	
	// # RouletteArea
	areaElem = $(\'roulette_feld\');
	
	// Chip Felder
	for(i=0; i<ChipList.length; i++){
		areaElem.appendChild(Builder.node(\'div\', {id: ChipList[i]+\'_holder\', class: \'abstractChip \'+ChipList[i]}));
		Event.observe(ChipList[i]+\'_holder\', \'mouseclick\', cGenerate);
		cGenerate(ChipList[i]);
	}
	
	// Roulette Felder
	for(i=0; i<dropperList.length; i++){
		var aElem = Builder.node(\'div\', {id: \'dropper_\'+dropperList[i], class: \'dropper dp\'+dropperList[i]});
		aElem.appendChild(Builder.node(\'div\', {id: \'dropper_\'+dropperList[i]+\'_chips\', class: \'dchips\'}));
		
		areaElem.appendChild(aElem);
		Droppables.add(\'dropper_\'+dropperList[i], {onDrop: dropperOnDrop, accept: \'abstractChip\'});
	}
	
	// Update
	Roulette.UpdateState(function(){
		Roulette.DisplayScore();
	});
	
	// Willkommen
	Roulette.MessageWnd(\'Hallo '.get_fullname().', Willkommen zu Roulette Royale!<br />\\nDer Einsatz sind deine Score-Punkte!\\n<br />\\nUm zu setzen ziehe die Jetons auf das gew&uuml;nschte Feld und klicke anschlie&szlig;end auf "Spielen"!\', \'msgwillkommen\', true);

});
//]]>
</script>
');
	}
}
