<?php

define('ROULETTE_NONE', -1);

define('ROULETTE_WETTE_TYPE_NONE',           ROULETTE_NONE);
define('ROULETTE_WETTE_TYPE_ROTSCHWARZ',     1);
define('ROULETTE_WETTE_TYPE_GERADEUNGERADE', 2);
define('ROULETTE_WETTE_TYPE_HOCHTIEF',       3);
define('ROULETTE_WETTE_TYPE_ZAHL',           4);
define('ROULETTE_WETTE_TYPE_SPLIT',          5);
define('ROULETTE_WETTE_TYPE_STREET',         6);
define('ROULETTE_WETTE_TYPE_CORNER',         7);
define('ROULETTE_WETTE_TYPE_SIXLINE',        8);
define('ROULETTE_WETTE_TYPE_DOZENS',         9);
define('ROULETTE_WETTE_TYPE_COLUMNS',        10);

define('ROULETTE_WETTE_STATE_NONE',          ROULETTE_NONE);
define('ROULETTE_WETTE_STATE_WIN',           1);
define('ROULETTE_WETTE_STATE_LOSS',          2);
define('ROULETTE_WETTE_STATE_NULL',          3);

define('ROULETTE_FELD_TYPE_NONE',  ROULETTE_NONE);
define('ROULETTE_FELD_TYPE_GREEN', 1);
define('ROULETTE_FELD_TYPE_RED',   2);
define('ROULETTE_FELD_TYPE_BLACK', 3);

define('ROULETTE_FELD_TYPE_EVEN',  2);
define('ROULETTE_FELD_TYPE_ODD',   3);

define('ROULETTE_FELD_TYPE_HIGH',  2);
define('ROULETTE_FELD_TYPE_LOW',   3);

$GLOBALS['ROULETTE_FELDERFARBEN'] = array(ROULETTE_FELD_TYPE_GREEN,	// 0
					  		   ROULETTE_FELD_TYPE_RED,		// 1
					  		   ROULETTE_FELD_TYPE_BLACK,	// 2
					  		   ROULETTE_FELD_TYPE_RED,		// 3
					  		   ROULETTE_FELD_TYPE_BLACK,	// 4
					  		   ROULETTE_FELD_TYPE_RED,		// 5
					  		   ROULETTE_FELD_TYPE_BLACK,	// 6
					  		   ROULETTE_FELD_TYPE_RED,		// 7
					  		   ROULETTE_FELD_TYPE_BLACK,	// 8
					  		   ROULETTE_FELD_TYPE_RED,		// 9
					  		   ROULETTE_FELD_TYPE_BLACK,	// 10
					  		   ROULETTE_FELD_TYPE_BLACK,	// 11
					  		   ROULETTE_FELD_TYPE_RED,		// 12
					  		   ROULETTE_FELD_TYPE_BLACK,	// 13
					  		   ROULETTE_FELD_TYPE_RED,		// 14
					  		   ROULETTE_FELD_TYPE_BLACK,	// 15
					  		   ROULETTE_FELD_TYPE_RED,		// 16
					  		   ROULETTE_FELD_TYPE_BLACK,	// 17
					  		   ROULETTE_FELD_TYPE_RED,		// 18
					  		   ROULETTE_FELD_TYPE_RED,		// 19
					  		   ROULETTE_FELD_TYPE_BLACK,	// 20
					  		   ROULETTE_FELD_TYPE_RED,		// 21
					  		   ROULETTE_FELD_TYPE_BLACK,	// 22
					  		   ROULETTE_FELD_TYPE_RED,		// 23
					  		   ROULETTE_FELD_TYPE_BLACK,	// 24
					  		   ROULETTE_FELD_TYPE_RED,		// 25
					  		   ROULETTE_FELD_TYPE_BLACK,	// 26
					  		   ROULETTE_FELD_TYPE_RED,		// 27
					  		   ROULETTE_FELD_TYPE_BLACK,	// 28
					  		   ROULETTE_FELD_TYPE_BLACK,	// 29
					  		   ROULETTE_FELD_TYPE_RED,		// 30
					  		   ROULETTE_FELD_TYPE_BLACK,	// 31
					  		   ROULETTE_FELD_TYPE_RED,		// 32
					  		   ROULETTE_FELD_TYPE_BLACK,	// 33
					  		   ROULETTE_FELD_TYPE_RED,		// 34
					  		   ROULETTE_FELD_TYPE_BLACK,	// 35
					  		   ROULETTE_FELD_TYPE_RED);		// 36

class RouletteBase {
	function GetFeldColor($iFeld){
		if(!is_numeric($iFeld) || ($iFeld < 0) || ($iFeld > 36)){
			return false;
		}
		
		return $GLOBALS['ROULETTE_FELDERFARBEN'][$iFeld];
	}
	
	function GetFeldEvenOdd($iFeld){
		if(!is_numeric($iFeld) || ($iFeld < 0) || ($iFeld > 36)){
			return false;
		}
		
		if($iFeld == 0){
			return ROULETTE_FELD_TYPE_GREEN;
		}
		
		
		if($iFeld%2 == 0){
			return ROULETTE_FELD_TYPE_EVEN;
		}else{
			return ROULETTE_FELD_TYPE_ODD;
		}
	}
	
	function GetFeldHochTief($iFeld){
		if(!is_numeric($iFeld) || ($iFeld < 0) || ($iFeld > 36)){
			return false;
		}
		
		if($iFeld == 0){
			return ROULETTE_FELD_TYPE_GREEN;
		}
		
		
		if($iFeld <= 18){
			return ROULETTE_FELD_TYPE_LOW;
		}else{
			return ROULETTE_FELD_TYPE_HIGH;
		}
	}
}

class AbstractRouletteWette {
	var $Gewinn;
	var $Einsatz;
	var $Type;
	var $Feld;
	var $Gewonnen;
	
	function SetParams(){ /*** Abstract ***/ }
	
	function Calc(){ /*** Abstract ***/ }
	
	function GetGewinn(){
		return $this->Gewinn;
	}
	
	function SetFeld($iFeld){
		if(!is_numeric($iFeld) || ($iFeld < 0) || ($iFeld > 36)){
			return false;
		}
	
		$this->Feld = (int)$iFeld;
		
		return true;
	}
	
	function SetEinsatz($iEinsatz){
		if(!is_numeric($iEinsatz) || ($iEinsatz < 0)){
			return false;
		}
	
		$this->Einsatz = (int)$iEinsatz;
		
		return true;
	}
	
	function AbstractRouletteWette(){
		$this->Type     = ROULETTE_WETTE_TYPE_NONE;
		$this->Gewinn   = 0;
		$this->Einsatz  = 0;
		$this->Feld     = -1;
		$this->Gewonnen = ROULETTE_WETTE_STATE_NONE;
	}
}

class AbstractRouletteWette1Param extends AbstractRouletteWette {
	var $Param1;
	
	function SetParams(/* @Param $iFeldType */){
		parent::SetParams();
		
		if(func_num_args() <= 0){
			return false;
		}
		
		$iFeldType = func_get_arg(0);
		
		if(!is_numeric($iFeldType) || ($iFeldType < 0)){
			return false;
		}
	
		$this->Param1 = (int)$iFeldType;
		
		return true;
	}
	
	function AbstractRouletteWette1Param(){
		parent::AbstractRouletteWette();
		
		$this->Param1 = ROULETTE_FELD_TYPE_NONE;
	}
}

class AbstractRouletteWette2Param extends AbstractRouletteWette {
	var $Param1;
	var $Param2;
	
	function SetParams(/* @Param $iFeldWette1, $iFeldWette2 */){
		parent::SetParams();
		
		if(func_num_args() <= 1){
			return false;
		}
		
		$iFeldWette1 = func_get_arg(0);
		$iFeldWette2 = func_get_arg(1);
		
		if(!is_numeric($iFeldWette1) || ($iFeldWette1 < 0) || !is_numeric($iFeldWette2) || ($iFeldWette2 < 0)){
			return false;
		}
	
		$this->Param1 = (int)$iFeldWette1;
		$this->Param2 = (int)$iFeldWette2;
		
		return true;
	}
	
	function AbstractRouletteWette2Param(){
		parent::AbstractRouletteWette();
		
		$this->Param1 = ROULETTE_FELD_TYPE_NONE;
		$this->Param2 = ROULETTE_FELD_TYPE_NONE;
	}
}

class RouletteWetteRotSchwarz extends AbstractRouletteWette1Param {
	function Calc(){
		parent::Calc();
		
		$feldfarbe = RouletteBase::GetFeldColor($this->Feld);
	
		if($this->Param1 == $feldfarbe){
			$this->Gewonnen = ROULETTE_WETTE_STATE_WIN;
			$this->Gewinn	= 2 * $this->Einsatz;
		
		}elseif($feldfarbe == ROULETTE_FELD_TYPE_GREEN){
			$this->Gewonnen = ROULETTE_WETTE_STATE_NULL;
			$this->Gewinn	= floor($this->Einsatz / 2);
		
		}else{
			$this->Gewonnen = ROULETTE_WETTE_STATE_LOSS;
			$this->Gewinn = 0;
		}
	}
	
	function RouletteWetteRotSchwarz(){
		parent::AbstractRouletteWette1Param();
		
		$this->Type = ROULETTE_WETTE_TYPE_ROTSCHWARZ;
	}
}

class RouletteWetteGeradeUngerade extends AbstractRouletteWette1Param {
	function Calc(){
		parent::Calc();
		
		$feldstate = RouletteBase::GetFeldEvenOdd($this->Feld);
	
		if($this->Param1 == $feldstate){
			$this->Gewonnen = ROULETTE_WETTE_STATE_WIN;
			$this->Gewinn	= 2 * $this->Einsatz;
		
		}elseif($feldstate == ROULETTE_FELD_TYPE_GREEN){
			$this->Gewonnen = ROULETTE_WETTE_STATE_NULL;
			$this->Gewinn	= floor($this->Einsatz / 2);
		
		}else{
			$this->Gewonnen = ROULETTE_WETTE_STATE_LOSS;
			$this->Gewinn = 0;
		}
	}
	
	function RouletteWetteGeradeUngerade(){
		parent::AbstractRouletteWette1Param();
		
		$this->Type = ROULETTE_WETTE_TYPE_GERADEUNGERADE;
	}
}

class RouletteWetteHochTief extends AbstractRouletteWette1Param {
	function Calc(){
		parent::Calc();
		
		$feldstate = RouletteBase::GetFeldHochTief($this->Feld);
	
		if($this->Param1 == $feldstate){
			$this->Gewonnen = ROULETTE_WETTE_STATE_WIN;
			$this->Gewinn	= 2 * $this->Einsatz;
		
		}elseif($feldstate == ROULETTE_FELD_TYPE_GREEN){
			$this->Gewonnen = ROULETTE_WETTE_STATE_NULL;
			$this->Gewinn	= floor($this->Einsatz / 2);
		
		}else{
			$this->Gewonnen = ROULETTE_WETTE_STATE_LOSS;
			$this->Gewinn = 0;
		}
	}
	
	function RouletteWetteHochTief(){
		parent::AbstractRouletteWette1Param();
		
		$this->Type = ROULETTE_WETTE_TYPE_HOCHTIEF;
	}
}

class RouletteWetteZahl extends AbstractRouletteWette1Param {
	function Calc(){
		parent::Calc();
		
		if($this->Param1 == $this->Feld){
			$this->Gewonnen = ROULETTE_WETTE_STATE_WIN;
			$this->Gewinn	= 36 * $this->Einsatz;
			
		}else{
			$this->Gewonnen = ROULETTE_WETTE_STATE_LOSS;
			$this->Gewinn	= 0;
		}
	}
	
	function RouletteWetteZahl(){
		parent::AbstractRouletteWette1Param();
		
		$this->Type = ROULETTE_WETTE_TYPE_ZAHL;
	}
}

class RouletteWetteSplit extends AbstractRouletteWette2Param {
	function Calc(){
		parent::Calc();
		
		if(($this->Param1 == $this->Feld) || ($this->Param2 == $this->Feld)){
			$this->Gewonnen = ROULETTE_WETTE_STATE_WIN;
			$this->Gewinn	= 18 * $this->Einsatz;
			
		}else{
			$this->Gewonnen = ROULETTE_WETTE_STATE_LOSS;
			$this->Gewinn	= 0;
		}
	}
	
	function RouletteWetteSplit(){
		parent::AbstractRouletteWette2Param();
		
		$this->Type       = ROULETTE_WETTE_TYPE_SPLIT;
	}
}

class AbstractRouletteWetteStreet extends AbstractRouletteWette2Param {
	var $GewinnMulti;
		
	function Calc(){
		if(($this->Feld >= $this->Param1) && ($this->Feld <= $this->Param2)){
			$this->Gewonnen = ROULETTE_WETTE_STATE_WIN;
			$this->Gewinn	= $this->GewinnMulti * $this->Einsatz;
			
		}else{
			$this->Gewonnen = ROULETTE_WETTE_STATE_LOSS;
			$this->Gewinn	= 0;
		}
	}
	
	function AbstractRouletteWetteStreet(){
		parent::AbstractRouletteWette2Param();
		
		$this->GewinnMulti = 1;
	}
}

class RouletteWetteStreet extends AbstractRouletteWetteStreet {
	function RouletteWetteStreet(){
		parent::AbstractRouletteWetteStreet();
		
		$this->Type        = ROULETTE_WETTE_TYPE_STREET;
		$this->GewinnMulti = 12;
	}
}

class RouletteWetteCorner extends AbstractRouletteWetteStreet {
	function RouletteWetteCorner(){
		parent::AbstractRouletteWetteStreet();
		
		$this->Type        = ROULETTE_WETTE_TYPE_CORNER;
		$this->GewinnMulti = 9;
	}
}

class RouletteWetteSixLine extends AbstractRouletteWetteStreet {
	function RouletteWetteSixLine(){
		parent::AbstractRouletteWetteStreet();
		
		$this->Type        = ROULETTE_WETTE_TYPE_SIXLINE;
		$this->GewinnMulti = 6;
	}
}

class RouletteWetteDozens extends AbstractRouletteWette1Param {
	function Calc(){
		parent::Calc();
		
		if(($this->Feld > (($this->Param1-1)*12)) && ($this->Feld <= ($this->Param1*12))){
			$this->Gewonnen = ROULETTE_WETTE_STATE_WIN;
			$this->Gewinn	= 3 * $this->Einsatz;
			
		}else{
			$this->Gewonnen = ROULETTE_WETTE_STATE_LOSS;
			$this->Gewinn	= 0;
		}
	}
	
	function RouletteWetteDozens(){
		parent::AbstractRouletteWette1Param();
		
		$this->Type = ROULETTE_WETTE_TYPE_DOZENS;
	}
}

class RouletteWetteColumns extends AbstractRouletteWette1Param {
	function Calc(){
		parent::Calc();
		
		$result = false;
		for($i = 0; $i<12; $i++){
			if(($i*3+$this->Param1) == $this->Feld){
				$result = true;
				break;
			}
		}
		if($result){
			$this->Gewonnen = ROULETTE_WETTE_STATE_WIN;
			$this->Gewinn	= 3 * $this->Einsatz;
			
		}else{
			$this->Gewonnen = ROULETTE_WETTE_STATE_LOSS;
			$this->Gewinn	= 0;
		}
	}
	
	function RouletteWetteColumns(){
		parent::AbstractRouletteWette1Param();
		
		$this->Type = ROULETTE_WETTE_TYPE_COLUMNS;
	}
}

class RouletteWetteContainer {
	var $Wetten;
	var $Gewinn;
	
	function Add($iType, $iParams, $iEinsatz){
		switch ($iType){
			case ROULETTE_WETTE_TYPE_ROTSCHWARZ:
				$Wette = new RouletteWetteRotSchwarz();
				$Wette->SetParams($iParams[0]);
				break;
			case ROULETTE_WETTE_TYPE_GERADEUNGERADE:
				$Wette = new RouletteWetteGeradeUngerade();
				$Wette->SetParams($iParams[0]);
				break;
			case ROULETTE_WETTE_TYPE_HOCHTIEF:
				$Wette = new RouletteWetteHochTief();
				$Wette->SetParams($iParams[0]);
				break;
			case ROULETTE_WETTE_TYPE_ZAHL:
				$Wette = new RouletteWetteZahl();
				$Wette->SetParams($iParams[0]);
				break;
			case ROULETTE_WETTE_TYPE_SPLIT:
				$Wette = new RouletteWetteSplit();
				$Wette->SetParams($iParams[0], $iParams[1]);
				break;
			case ROULETTE_WETTE_TYPE_STREET:
				$Wette = new RouletteWetteStreet();
				$Wette->SetParams($iParams[0], $iParams[1]);
				break;
			case ROULETTE_WETTE_TYPE_CORNER:
				$Wette = new RouletteWetteCorner();
				$Wette->SetParams($iParams[0], $iParams[1]);
				break;
			case ROULETTE_WETTE_TYPE_SIXLINE:
				$Wette = new RouletteWetteSixLine();
				$Wette->SetParams($iParams[0], $iParams[1]);
				break;
			case ROULETTE_WETTE_TYPE_DOZENS:
				$Wette = new RouletteWetteDozens();
				$Wette->SetParams($iParams[0]);
				break;
			case ROULETTE_WETTE_TYPE_COLUMNS:
				$Wette = new RouletteWetteColumns();
				$Wette->SetParams($iParams[0]);
				break;
			default:
				return false;
		}
		
		$Wette->SetEinsatz($iEinsatz);
		
		$this->Wetten[] = $Wette;	
		
		return true;
	}
	
	
	function Calc($iFeld){
		for($i = 0; $i<count($this->Wetten); $i++){
			$this->Wetten[$i]->SetFeld($iFeld);
			$this->Wetten[$i]->Calc();
			$this->Gewinn += $this->Wetten[$i]->Gewinn;
		}
		
		return true;
	}
	
	function RouletteWetteContainer(){
		$this->Wetten = array();
		$this->Gewinn = 0;
	}
}


class Roulette {
	var $Geld;
	var $WettenContainer;
	var $Feld;
	var $Einsatz;
	
	function SetGeld($iGeld){
		$this->Geld = $iGeld;
		return true;
	}
	
	function SetFeld($iFeld){
		$this->Feld = $iFeld;
		return true;
	}
	
	function SetWette($iType, $iParams){
		if($this->WettenContainer->Add($iType, $iParams, $this->Einsatz)){
			$this->Einsatz = 0;
			return true;
		}else{
			return false;
		}
	}
		
	function SetEinsatz($iEinsatz){
		if(!is_numeric($iEinsatz) || ($iEinsatz < 0)){
			return false;
		}
		if($iEinsatz > $this->Geld){
			return false;
		}
		
		$this->Einsatz += (int)$iEinsatz;
		$this->Geld    -= (int)$iEinsatz;
		
		return true;
	}
	
	function Spiel(){
		$this->WettenContainer->Calc($this->Feld);
		$this->Geld += $this->WettenContainer->Gewinn;
		
		return true;
	}
	
	// Falls noch nicht gespielt, geht der Einsatz verloren!
	function ResetWetten(){
		$this->WettenContainer = new RouletteWetteContainer();
		
		return true;
	}

	function Roulette(/* @Param (int)$geld */){
		$this->ResetWetten();
		$this->Geld    = 0;
		$this->Feld    = -1;
		$this->Einsatz = 0;
		
		if(func_num_args() >= 1){
			$geld = func_get_arg(0);
			
			if(is_numeric($geld) && ($geld > 0)){
				$this->Geld = (int)$geld;
			}
		}
	}
}

?>